## ros-melodic-cob-bms-driver 0.7.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_bms_driver)

find_package(catkin REQUIRED COMPONENTS
  diagnostic_msgs
  diagnostic_updater
  roscpp
  socketcan_interface
  std_msgs
)

catkin_package(
  CATKIN_DEPENDS diagnostic_msgs std_msgs
)

###########
## Build ##
###########
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_executable(bms_driver_node src/${PROJECT_NAME}_node.cpp)
add_dependencies(bms_driver_node ${catkin_EXPORTED_TARGETS})
target_link_libraries(bms_driver_node ${catkin_LIBRARIES})

#############
## Install ##
#############
install(TARGETS bms_driver_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

catkin_install_python(PROGRAMS
  src/fake_bms.py
  src/power_state_aggregator.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-melodic-cob-bms-driver (0.7.4-1bionic) bionic; urgency=high

  * Merge pull request #417 <https://github.com/ipa320/cob_driver/issues/417> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 13 Oct 2020 22:00:00 -0000

ros-melodic-cob-bms-driver (0.7.3-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-melodic-cob-bms-driver (0.7.2-1bionic) bionic; urgency=high

  * Merge pull request #408 <https://github.com/ipa320/cob_driver/issues/408> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-melodic-cob-bms-driver (0.7.1-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-melodic-cob-bms-driver (0.7.0-1bionic) bionic; urgency=high

  * Merge pull request #380 <https://github.com/ipa320/cob_driver/issues/380> from ipa-jba/fix/boost_shared_ptr
    [Melodic] combined melodify pr
  * melodify cob_bms_driver_node
  * Merge pull request #396 <https://github.com/ipa320/cob_driver/issues/396> from HannesBachter/indigo_dev
    0.6.15
  * Contributors: Felix Messmer, Jannik Abbenseth

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Aug 2019 22:00:00 -0000

ros-melodic-cob-bms-driver (0.6.15-1bionic) bionic; urgency=high

  * 0.6.14
  * update changelogs
  * Merge pull request #393 <https://github.com/ipa320/cob_driver/issues/393> from fmessmer/add_int_bms_parameter
    add int bms parameter types
  * get rid of c++11 compile options
  * fix key name
  * add int bms parameter types
  * Merge pull request #392 <https://github.com/ipa320/cob_driver/issues/392> from fmessmer/max_time_remaining
    clamp time_remaining when current is zero
  * clamp time_remaining when current is zero
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 16 Jul 2019 22:00:00 -0000

ros-melodic-cob-bms-driver (0.6.14-1bionic) bionic; urgency=high

  * Merge pull request #393 <https://github.com/ipa320/cob_driver/issues/393> from fmessmer/add_int_bms_parameter
    add int bms parameter types
  * get rid of c++11 compile options
  * fix key name
  * add int bms parameter types
  * Merge pull request #392 <https://github.com/ipa320/cob_driver/issues/392> from fmessmer/max_time_remaining
    clamp time_remaining when current is zero
  * clamp time_remaining when current is zero
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 06 Jun 2019 22:00:00 -0000

ros-melodic-cob-bms-driver (0.6.13-1bionic) bionic; urgency=high

  * Merge pull request #381 <https://github.com/ipa320/cob_driver/issues/381> from pholthau/boost-format
    include boost/format.hpp
  * include boost/format.hpp
  * Contributors: Felix Messmer, Patrick Holthaus

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 13 Mar 2019 23:00:00 -0000

ros-melodic-cob-bms-driver (0.6.12-1bionic) bionic; urgency=high

  * update maintainer
  * Merge pull request #374 <https://github.com/ipa320/cob_driver/issues/374> from floweisshardt/feature/round_remaining_capacity
    round remaining_capacity
  * adjust to real driver precision
  * round remaining_capacity
  * Contributors: Felix Messmer, fmessmer, ipa-fmw, ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-melodic-cob-bms-driver (0.6.11-1bionic) bionic; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #364 <https://github.com/ipa320/cob_driver/issues/364> from ipa-fxm/fake_bms_diagnostics
    use diagnostic updater in fake_bms
  * use diagnostic updater in fake_bms
  * Merge pull request #361 <https://github.com/ipa320/cob_driver/issues/361> from ipa-fxm/set_relative_remaining_capacity
    set relative remaining capacity
  * set relative remaining capacity
  * Merge pull request #341 <https://github.com/ipa320/cob_driver/issues/341> from ipa-fxm/APACHE_license
    use license apache 2.0
  * change maintainer
  * use license apache 2.0
  * Contributors: Felix Messmer, Florian Weisshardt, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <felixmessmer@gmail.com>  Sat, 06 Jan 2018 23:00:00 -0000

ros-melodic-cob-bms-driver (0.6.10-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 23 Jul 2017 22:00:00 -0000

ros-melodic-cob-bms-driver (0.6.9-1bionic) bionic; urgency=high

  * minor change for handling exception
  * made changes which only sets the current that in turn is used by power_aggregator for relative_remaining_capacity calculation
  * fix typo
  * added emulation of realistic current value
  * minor change for publishing a realistic voltage value
  * Merge pull request #310 <https://github.com/ipa320/cob_driver/issues/310> from souravran/feature/fake_bms
    added a fake bms with set_charging and set_relative_remaining_capacity services
  * finalize exception handling
  * fake current
  * consistent naming
  * publish diagnostics in fake_bms
  * harmonize namespaces of fake_bms
  * uses the default parameter value
  * poll frequency has been set from the parameter list
  * made changes as per the review.
    power state elements being published at 20 Hz.
    removed junk rospy log and changed division_by_zero error message.
  * fake_bms publishing all power_state entities.
    added exception handling in power_state_aggregator.
    added package dependency and install tags.
  * added a fake bms with set_charging and set_relative_remaining_capacity services
  * fix typo
  * fix powerstate aggregator charging flag (bms is not delivering correct flag for full battery and docked)
  * use bms flag for harging
  * fix identation
  * use spaces for indention in BMS driver
  * updated authors


=== debian/control ===
Source: ros-melodic-cob-bms-driver
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-diagnostic-msgs, ros-melodic-diagnostic-updater, ros-melodic-roscpp, ros-melodic-socketcan-interface, ros-melodic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-cob-bms-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-numpy, ros-melodic-cob-msgs, ros-melodic-cob-srvs, ros-melodic-diagnostic-msgs, ros-melodic-diagnostic-updater, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-socketcan-interface, ros-melodic-std-msgs
Description: Driver package for interfacing the battery management system (BMS) on Care-O-bot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-cob-bms-driver//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
